## org.apache.xerces.xs.datatypes
Interface XSDecimal

    public interface XSDecimal

Interface to expose the value of 'decimal' and related datatypes.

Version:
  $Id: XSDecimal.java 447250 2006-09-18 05:27:17Z mrglavas $
Author:
  Naela Nissar, IBM

Method Summary
`java.math.BigDecimal` `getBigDecimal()`
`java.math.BigInteger` `getBigInteger()`
`byte` `getByte()`
`int` `getInt()`
`long` `getLong()`
`short` `getShort()`

Method Detail

### getBigDecimal

    java.math.BigDecimal getBigDecimal()

  Returns:
    the `BigDecimal` representation of this object

### getBigInteger

    java.math.BigInteger getBigInteger()
                                       throws java.lang.NumberFormatException

  Returns:
    the `BigInteger` representation of this object
  Throws:
    `java.lang.NumberFormatException` - if the value cannot be represented as a `BigInteger`

### getLong

    long getLong()
                 throws java.lang.NumberFormatException

  Returns:
    the long value representation of this object
  Throws:
    `java.lang.NumberFormatException` - if the value cannot be represented as a `long`

### getInt

    int getInt()
               throws java.lang.NumberFormatException

  Returns:
    the int value representation of this object
  Throws:
    `java.lang.NumberFormatException` - if the value cannot be represented as a `int`

### getShort

    short getShort()
                   throws java.lang.NumberFormatException

  Returns:
    the short value representation of this object
  Throws:
    `java.lang.NumberFormatException` - if the value cannot be represented as a `short`

### getByte

    byte getByte()
                 throws java.lang.NumberFormatException

  Returns:
    the byte value representation of this object
  Throws:
    `java.lang.NumberFormatException` - if the value cannot be represented as a `byte`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.